{{ ansible_managed | comment}}
filter {
    if "smartx" in [tags] {
        if "app" in [tags] {
            grok {
                match => { 
                    "message" => [
                        "^%{TIMESTAMP_ISO8601:log_datetime}%{SPACE}-%{SPACE}%{LOGLEVEL:log_level}%{SPACE}\[(?<log_thread>[A-Z_]+)%{SPACE}\] - (?<log_message>(.|\r|\n)*)$"
                    ]
                }
            }
            date {
                match => [ "log_datetime", "yyyy-MM-dd HH:mm:ss.SSS" ]
                timezone => "{{ prepare_new_OS_timezone }}"
                target => "log_timestamp"
            }
            mutate {
                remove_field => [ "log_datetime" ]
            }
        }
        mutate {
            add_field => {
                "app_name" => "smartx"
            }
        }
    }
}